Subject: RE: [PATCH 1/2] PPC4xx: Generelizing drivers/dma/ppc4xx/adma.c

From: Tirumala Marri <[email-masked]>
Date: Thu, 23 Sep 2010 15:39:47 -0700

>
> Will both versions of this driver exist in the same kernel build?  For
> example the iop-adma driver supports iop13xx and iop3xx, but we select
> the archtitecture at build time?  Or, as I assume in this case, will
> the
> two (maybe more?) ppc4xx adma drivers all be built in the same image,
> more like ioatdma?

[Marri] We select the architecture at build time.

>
> In the latter case I would recommend a file structure like:
>
> drivers/dma/ppc4xx/adma.c
> drivers/dma/ppc4xx/adma_440spe.c
> drivers/dma/ppc4xx/adma_460ex.c
>
> With patches to move the chipset specific pieces to their own file.
> Minimizing the code churn in adma.c, or at least showing a progression
> of what is unique and needs to be moved.
>
> This would be similar to how ioatdma is structured and compiles a
> single
> driver to cover the three major hardware revisions.

[Marri]Looks like this driver is similar to iop-adma driver.